alibabacloud-sdk-swift/tea-utils

Alibaba Cloud Tea Utils for Swift


License
GPL-3.0+

Documentation

English | 简体中文

Alibaba Cloud Tea Util for Swift

Requirements

  • iOS 13.3+ / macOS 10.15+
  • Xcode 11.3+
  • Swift 5.1

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. For usage and installation instructions, visit their website. To integrate TeaUtils into your Xcode project using CocoaPods, specify it in your Podfile:

pod 'TeaUtils', '~> 0.1.0'

Carthage

To integrate TeaUtils into your Xcode project using Carthage, specify it in your Cartfile:

github "alibabacloud-sdk-swift/tea-utils" "0.1.0"

Swift Package Manager

To integrate TeaUtils into your Xcode project using Swift Package Manager , adding TeaUtils to the dependencies value of your Package.swift.

dependencies: [
    .package(url: "https://github.com/alibabacloud-sdk-swift/tea-utils.git", from: "0.1.0")
]

In addition, you also need to add "TeaUtils" to the dependencies of the target, as follows:

.target(
    name: "<your-project-name>",
    dependencies: [
        "TeaUtils",
    ])

Issues

Opening an Issue, Issues not conforming to the guidelines may be closed immediately.

Changelog

Detailed changes for each release are documented in the release notes.

References

License

Apache-2.0

Copyright (c) 2009-present, Alibaba Cloud All rights reserved.